#!/bin/bash
#
# desktop.firsttime - Desktop firsttime script for @distroID@
#
# This file is called by startkde after the kpersonalizer has been
# executed for first access configuration
#
# Copyright (c) 2005-2012 by Silvan Calarco <silvan.calarco@mambasoft.it>
# Copyright (c) 2007 by Davide Madrisan <davide.madrisan@gmail.com>

if [ ! -e $HOME/Desktop/.directory ]; then

   case "$LANG" in
      es*) LANG_ADD=es ;;
      fr*) LANG_ADD=fr ;;
      it*) LANG_ADD=it ;;
      *) LANG_ADD=en ;;
   esac

   if [ -r @distrodesktopdir@/desktop-$LANG_ADD.tar.bz2 ]; then
      mkdir -p $HOME/Desktop
      ( cd $HOME/Desktop >/dev/null
        tar xjf @distrodesktopdir@/desktop-common.tar.bz2
        tar xjf @distrodesktopdir@/desktop-$LANG_ADD.tar.bz2 )
   fi

   touch $HOME/Desktop/.directory

fi
